<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F6F6F6">

    <RelativeLayout
        android:id="@+id/id_order_title"
        android:layout_width="match_parent"
        android:layout_height="68dp"
        android:background="@color/white">

        <ImageView
            android:id="@+id/id_img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:padding="15dp"
            android:src="@drawable/icon_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="12dp"
            android:includeFontPadding="false"
            android:text="订单支付"
            android:textColor="@color/color_333333"
            android:textSize="18sp" />
    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/id_order_title">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="100dp">

            <RelativeLayout
                android:id="@+id/id_rl_no_address"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:visibility="gone">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:drawableLeft="@drawable/icon_add"
                    android:drawablePadding="5dp"
                    android:text="请填写收货人信息"
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_jinru_rignt" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/id_rl_hava_address"
                android:layout_width="match_parent"
                android:layout_height="90dp"
                android:layout_below="@+id/id_rl_order_title"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:visibility="gone">

                <TextView
                    android:id="@+id/id_tv_user_name_phone"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginTop="15dp"
                    android:text=""
                    android:textColor="@color/color_333333"
                    android:textSize="18sp" />

                <TextView
                    android:id="@+id/id_tv_user_address"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginLeft="15dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="70dp"
                    android:layout_marginBottom="15dp"
                    android:ellipsize="end"
                    android:lines="1"
                    android:text=""
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginRight="15dp"
                    android:src="@drawable/icon_jinru_rignt" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="18dp"
                    android:layout_toRightOf="@+id/id_tv_user_name_phone"
                    android:src="@drawable/icon_moren" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:orientation="vertical"
                android:padding="15dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical">
                <com.zxhl.cms.widget.RecycleImageView
                    android:id="@+id/id_img_order_goods"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:layout_marginRight="5dp"
                    android:layout_centerVertical="true" />
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <TextView
                            android:id="@+id/id_tv_order_name"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:ellipsize="end"
                            android:lines="2"
                            android:textColor="@color/color_333333"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/id_tv_sale_price"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:layout_toRightOf="@+id/id_tv_goods_name"
                            android:textColor="@color/color_333333"
                            android:textSize="14sp" />
                    </LinearLayout>


                </LinearLayout>
            </LinearLayout>

                <TextView
                    android:id="@+id/id_tv_time_trip"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:textColor="@color/color_333333"
                    android:textSize="13sp" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginTop="10dp"
                    android:background="#EDEDED" />


                <RelativeLayout
                    android:id="@+id/id_rl_yunfei"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/id_tv_price_trip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="运费"
                        android:textColor="@color/color_666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/id_tv_yunfei"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:text="0"
                        android:textColor="@color/color_333333" />
                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/id_rl_dabaofei"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/id_tv_yunfei_price_trip"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="打包费"
                        android:textColor="@color/color_666666"
                        android:textSize="14sp" />

                    <TextView
                        android:id="@+id/id_tv_dabaofei"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:textColor="@color/color_333333" />
                </RelativeLayout>




                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="right"
                    android:layout_marginTop="10dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="支付："
                        android:textColor="@color/color_333333"
                        android:textSize="14sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="¥ "
                        android:textColor="#FF2E31"
                        android:textSize="14sp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/id_tv_pay_money"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text=""
                        android:textColor="#FF2E31"
                        android:textSize="18sp"
                        android:textStyle="bold" />
                </LinearLayout>

            </LinearLayout>






            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="104dp"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/shape_ffffff_r5"
                android:orientation="vertical"
                android:padding="15dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="备注留言"
                    android:textColor="@color/color_333333"
                    android:textSize="15sp" />

                <EditText
                    android:id="@+id/id_edit_beizhu"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:background="@null"
                    android:hint="你有什么特别需要请告诉我们"
                    android:textColor="@color/color_333333"
                    android:textColorHint="#999999"
                    android:textSize="13sp" />
            </LinearLayout>
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


    <TextView
        android:id="@+id/id_tv_to_pay"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_alignParentBottom="true"
        android:layout_margin="15dp"
        android:background="@drawable/shape_ff2e31_r25"
        android:gravity="center"
        android:text="去支付"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold" />

    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/id_order_title"
        android:visibility="gone">

        <WebView
            android:id="@+id/id_rights_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_rights_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>
</RelativeLayout>
